Mandrake Linux Security Advisory : xorg-x11 (MDKSA-2006:164-1)

This script is Copyright (C) 2006-2015 Tenable Network Security, Inc.


Synopsis :

The remote Mandrake Linux host is missing one or more security
updates.

Description :

Local exploitation of an integer overflow vulnerability in the
'CIDAFM()' function in the X.Org and XFree86 X server could allow an
attacker to execute arbitrary code with privileges of the X server,
typically root (CVE-2006-3739).

Local exploitation of an integer overflow vulnerability in the
'scan_cidfont()' function in the X.Org and XFree86 X server could
allow an attacker to execute arbitrary code with privileges of the X
server, typically root (CVE-2006-3740).

Updated packages are patched to address this issue.

Update :

Updated packages for 2007.0 have been patched (libxfont)

Solution :

Update the affected packages.

Risk factor :

High / CVSS Base Score : 7.2
(CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 6.3
(CVSS2#E:ND/RL:OF/RC:C)
Public Exploit Available : false

Family: Mandriva Local Security Checks

Nessus Plugin ID: 23908 (mandrake_MDKSA-2006-164.nasl)

Bugtraq ID: 19974

CVE ID: CVE-2006-3739
CVE-2006-3740

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now